#!/bin/sh

source ${INIT_D:-/sbin/init.d}/functions

RL=${0##*.}
PREVRL=$(($RL - 1))

case "$1" in
  start)    
    need runlevel.$PREVRL || exit_if_failed
 
    need rc.$RL/
    
    reached_level $RL
    ;;
  stop)
    down_level $RL
    ;;
  *)
    exit 1
    ;;
esac
    
exit 0
